Home

# Class goog.ui.emoji.SpriteInfo

Creates a SpriteInfo object with the specified properties. If the image is sprited via CSS, then only the first parameter needs a value. If the image is sprited via metadata, then the first parameter should be left null.

Instance Method Summary
| `getCssClass() ⇒ ?string` Returns the css class of the sprited image.
| `getHeightCssValue() ⇒ string` Returns the height of the image being sprited, appropriate for a CSS value.
| `getUrl() ⇒ ?string` Returns the url of the sprite image.
| `getWidthCssValue() ⇒ string` Returns the width of the image being sprited, appropriate for a CSS value.
| `getXOffsetCssValue() ⇒ string` Returns the x offset of the image being sprited within the sprite, appropriate for a CSS value.
| `getYOffsetCssValue() ⇒ string` Returns the positive y offset of the image being sprited within the sprite, appropriate for a CSS value.
| `isAnimated() ⇒ boolean` Returns whether the emoji specified by this sprite is animated.

Static Method Summary
| `getCssPixelValue_((number|undefined) value) ⇒ string` Returns a string appropriate for use as a CSS value. If the value is zero, then there is no unit appended.
| `getOffsetCssValue_((number|undefined) posOffset) ⇒ string` Returns a string appropriate for use as a CSS value for a position offset, such as the position argument for sprites.